WhatsApp slutar fungera med Android 2.3.7 och iOS 7

WhatsApp Logo

WhatsApp slutar fungera på en mängd äldre mobiltelefoner den 1 januari 2020. Den som är drabbad har en gammal iOS-, Android- eller Windows-telefon med en hel del år på marknaden – så det finns många anledningar att se sig om efter en nyare telefon.

Vad har hänt?

WhatsApp fungerar idag på flera miljarder mobiltelefoner världen över, men för en del kommer appen sluta fungera den 1 januri 2020. Anledningen är att moderbolaget Facebook har bestämt att WhatsApp-appen inte ska fungera på vissa äldre versioner av Android, iOS och Windows 10 Mobile.

Vilka mobiltelefoner kan inte använda WhatsApp mer?

  • Android 2.3.7 och äldre
  • iOS 7 och äldre
  • Windows 10 Mobile (alla versioner)

Som du kanske ser är det rejält gamla versioner av Android och iOS som gäller.

Android 2.3.7 och iOS 7 släpptes 2010 respektive 2013, och Windows 10 Mobile har inte funnits på en ny mobiltelefon sen 2015.

Om du undrar vilka mobiltelefoner som faktiskt fanns med Android under 2010 så kanske du kommer ihåg Google Nexus One, Motorola Droid och HTC HD2, bara för att nämna några mobiler. Knappast något man vill använda idag.

För iOS gäller iPhone 5S och iPhone 5C som båda släpptes 2013. Apple har en utmärkt uppdateringspolicy, så iOS 7 fungerade även på iPhone 5, iPhone 5S och iPhone 4.

Varför slutar WhatsApp fungera på äldre mobiltelefoner med Android, iOS & Window 10 Mobile?

Det är oundvikligt att appar förr eller senare slutar fungera på äldre mobiltelefoner.

Gammal kod kan bara underhållas till en viss grad innan den blir ett problem. Om utvecklaren vill behålla kompatibiliteten med riktigt gamla mobiltelefoner är risken för följande:

  • Prestandaproblem
  • Högre batteriförbrukning
  • Större risk för sårbarheter i koden

Det är rimligt att WhatsApp och Facebook förr eller senare fasar ut kompatibiliteten för riktigt gamla operativsystem, och nu händer det.